=== debian/changelog ===
libpgm (5.1.116~dfsg-2~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 25 Aug 2011 04:10:12 -0400

libpgm (5.1.116~dfsg-2) unstable; urgency=low

  * Rebuild with an updated symbols file for non-linux kernels.
  * Conflict libpgm-dev with libnetpbm9-dev. This package has
    been deprecated since 2003 and a replacement, libnetpbm10-dev,
    exists (Closes: #624511).

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Fri, 29 Apr 2011 19:23:03 +0200

libpgm (5.1.116~dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.1.116~dfsg
  * Initial release to Debian (Closes: #566126)

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Thu, 07 Apr 2011 16:48:52 +0200

libpgm (5.1.115~dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.1.115~dfsg

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Thu, 07 Apr 2011 11:45:51 +0200

libpgm (5.1.114~dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.1.114~dfsg

 -- Gabriel de Perthuis <g2p.code@gmail.com>  Mon, 28 Mar 2011 12:35:51 +0200

libpgm (5.1.102-1) unstable; urgency=low

  * Initial release

 -- Steven McCoy <steven.mccoy@miru.hk>  Wed, 19 Jan 2011 14:17:08 +0800
