=== debian/control ===
Source: libpgm
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Gabriel de Perthuis <g2p.code+debian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python, libtool, automake
Standards-Version: 3.9.1
Section: libs
Homepage: http://code.google.com/p/openpgm/
Vcs-Git: https://github.com/g2p/libpgm.git
Vcs-Browser: https://github.com/g2p/libpgm

Package: libpgm-5.1-0
Architecture: any
Section: libs
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: OpenPGM shared library
 OpenPGM is an open source implementation of the Pragmatic General Multicast
 (PGM) specification in RFC 3208 available at www.ietf.org. PGM is a reliable
 and scalable multicast protocol that enables receivers to detect loss,
 request retransmission of lost data, or notify an application of
 unrecoverable loss. PGM is a receiver-reliable protocol, which means the
 receiver is responsible for ensuring all data is received, absolving the
 sender of reception responsibility. PGM runs over a best effort datagram
 service, currently OpenPGM uses IP multicast but could be implemented above
 switched fabrics such as InfiniBand.
 .
 This is the runtime package for programs that use the OpenPGM library.

Package: libpgm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: neurodebian-popularity-contest, libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
Description: OpenPGM debugging symbols
 OpenPGM is an open source implementation of the Pragmatic General Multicast
 (PGM) specification in RFC 3208 available at www.ietf.org. PGM is a reliable
 and scalable multicast protocol that enables receivers to detect loss,
 request retransmission of lost data, or notify an application of
 unrecoverable loss. PGM is a receiver-reliable protocol, which means the
 receiver is responsible for ensuring all data is received, absolving the
 sender of reception responsibility. PGM runs over a best effort datagram
 service, currently OpenPGM uses IP multicast but could be implemented above
 switched fabrics such as InfiniBand.
 .
 These are the debugging symbols for the library and its utilities.

Package: libpgm-dev
Architecture: any
Section: libdevel
Depends: neurodebian-popularity-contest, libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnetpbm9-dev
Description: OpenPGM development files
 OpenPGM is an open source implementation of the Pragmatic General Multicast
 (PGM) specification in RFC 3208 available at www.ietf.org. PGM is a reliable
 and scalable multicast protocol that enables receivers to detect loss,
 request retransmission of lost data, or notify an application of
 unrecoverable loss. PGM is a receiver-reliable protocol, which means the
 receiver is responsible for ensuring all data is received, absolving the
 sender of reception responsibility. PGM runs over a best effort datagram
 service, currently OpenPGM uses IP multicast but could be implemented above
 switched fabrics such as InfiniBand.
 .
 This is the development package which contains headers and static libraries
 for the OpenPGM library.
