## libpgm 5.1.118-1~dfsg

=== debian/changelog ===
libpgm (5.1.118-1~dfsg-1) unstable; urgency=medium

  * Apply Hurd FTBFS fix (closes: #747237).
  * Empty dependency_libs.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .
  * Update watch file.
  * New maintainer (closes: #761246).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Oct 2014 19:41:43 +0000

libpgm (5.1.118-1~dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload. 
  * Use dh-autoreconf to regenerate autoconf and libtool scripts
    (Closes: #752010, #759462).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Sep 2014 23:20:14 +0200

libpgm (5.1.118-1~dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Imported Upstream version 5.1.118-1~dfsg (Closes: #645758)
  * Drop patches included in upstream.
  * Do not bootstrap while build as upstream ships configure.

 -- Kefu Chai <tchaikov@gmail.com>  Sun, 29 Apr 2012 13:07:51 +0800
