=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libpgm
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Gabriel de Perthuis <g2p.code+debian@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python, libtool, automake
-Standards-Version: 3.9.1
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), python, dh-autoreconf
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://code.google.com/p/openpgm/
-Vcs-Git: https://github.com/g2p/libpgm.git
-Vcs-Browser: https://github.com/g2p/libpgm
+#Vcs-Git: https://github.com/g2p/libpgm.git
+#Vcs-Browser: https://github.com/g2p/libpgm
 
 Package: libpgm-5.1-0
 Architecture: any
 Section: libs
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: OpenPGM shared library
  OpenPGM is an open source implementation of the Pragmatic General Multicast
  (PGM) specification in RFC 3208 available at www.ietf.org. PGM is a reliable
@@ -30,7 +29,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: neurodebian-popularity-contest, libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
 Description: OpenPGM debugging symbols
  OpenPGM is an open source implementation of the Pragmatic General Multicast
  (PGM) specification in RFC 3208 available at www.ietf.org. PGM is a reliable
@@ -47,7 +46,7 @@
 Package: libpgm-dev
 Architecture: any
 Section: libdevel
-Depends: neurodebian-popularity-contest, libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libnetpbm9-dev
 Description: OpenPGM development files
  OpenPGM is an open source implementation of the Pragmatic General Multicast
