=== debian/watch ===
version=3
# remove %7Edfsg and add back ~dfsg, stay on the ssl site
opts="dversionmangle=s/-1~dfsg$//,downloadurlmangle=s/^https?/https/" \
https://code.google.com/p/openpgm/downloads/list .*libpgm-(\d[\d\.]+)\.tar.*
