=== debian/changelog ===
libpgm (5.2.122~dfsg-2) unstable; urgency=low

  * Upload to unstable for library transition (closes: #696491).
  * Update upstream source location and watch file.
  * Update Standards-Version to 3.9.7 .

  [ Jérémy Bobbio <lunar@debian.org> ]
  * Allow one to override the recorded build time (closes: #814832).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Feb 2016 19:47:51 +0100

libpgm (5.2.122~dfsg-1) experimental; urgency=low

  * New upstream release.
  * Multi-Arch the package (closes: #674610).
  * Change library name and update its symbols.
  * Update packaging and enable parallel build.

  [ Ricardo Salveti de Araujo <ricardo.salveti@canonical.com> ]
  * force-running-benchmark-in-case-tsc_mhz-returns-0.patch:
    - Force running benchmark in case /proc/cpuinfo returns 0 as cpu MHz

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Jan 2015 18:14:56 +0000

libpgm (5.1.118-1~dfsg-2) unstable; urgency=medium

  * Correct libpgm-5.1.so broken symlink (closes: #775367).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jan 2015 18:41:48 +0000
