=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), python, dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
-Homepage: http://code.google.com/p/openpgm/
+Homepage: https://github.com/steve-o/openpgm
 #Vcs-Git: https://github.com/g2p/libpgm.git
 #Vcs-Browser: https://github.com/g2p/libpgm
 
-Package: libpgm-5.1-0
+Package: libpgm-5.2-0
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: OpenPGM shared library
  OpenPGM is an open source implementation of the Pragmatic General Multicast
@@ -27,9 +29,10 @@
 
 Package: libpgm-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpgm-5.2-0 (= ${binary:Version}), ${misc:Depends}
 Description: OpenPGM debugging symbols
  OpenPGM is an open source implementation of the Pragmatic General Multicast
  (PGM) specification in RFC 3208 available at www.ietf.org. PGM is a reliable
@@ -45,8 +48,9 @@
 
 Package: libpgm-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libpgm-5.1-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpgm-5.2-0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libnetpbm9-dev
 Description: OpenPGM development files
  OpenPGM is an open source implementation of the Pragmatic General Multicast
