=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_clean:
	dh_clean
	# ignore generated files
	rm -f openpgm/pgm/version.c \
              openpgm/pgm/galois_tables.c
	rm -rf openpgm/pgm/autom4te.cache

override_dh_install:
	dh_install --fail-missing
	find debian/libpgm-dev/usr/lib  -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
	dh_link -plibpgm-dev \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libpgm-5.2.so.0.0.122 /usr/lib/$(DEB_HOST_MULTIARCH)/libpgm-5.2.so

override_dh_strip:
	dh_strip --dbg-package=libpgm-dbg

%:
	dh $@ --sourcedirectory=openpgm/pgm --with autoreconf --parallel

.PHONY: override_dh_install override_dh_strip
