=== debian/watch ===
version=3
# remove ~dfsg
opts="dversionmangle=s/~dfsg$//" \
https://github.com/steve-o/openpgm/releases .*(\d+)-(\d+)-(\d+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
